<div ng-controller = "ProductController as vm" class="one-product flex-row flex-align-center">
    <div class="flex-1">
        <h1 class="title">
            {{vm.product.Title}}
        </h1>
        <p class="details">
            {{vm.product.Details}}
        </p>
        <div class="price">
            {{vm.product.Price | currency : '£'}}
        </div>
        <button class="btn primary" ng-click="vm.addToBasket(vm.product)">
            Buy Now
        </button>
    </div>
    <div class="images flex-row">
        <div class="main-image">
            <img src="{{vm.product.Images[0]}}">
        </div>
        <div class="thumbnails">
            <img src="{{vm.product.Images[0]}}">
            <img src="{{vm.product.Images[0]}}">
        </div>
    </div>

    <div ng-class="{'active':vm.showPopup}" class="modal" id="checkModal">
        <div class="modal-content">
            <div class="header flex-row flex-justify-end flex-align-top">
                <a class="close-btn close-modal"><i>x</i></a>
            </div>
            <div class="title">
                Checkout / Continue
            </div>
            <div class="subtitle">
                Lorem ipsum dolor sit amet, mundi suscipit electram ne sed, in quo velit percipit salutatus?
            </div>
            <div style="margin-top:40px;">
                <a href="store.html" class="primary">Continue</a>
                <a href="checkout.html" class="primary">Checkout</a>
            </div>
        </div>
    </div>
</div>